Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.comp
Class CXMLParser

    java.lang.Object
      |
      +--oracle.xml.comp.CXMLParser

public class CXMLParser
extends java.lang.Object

This class implements the re-generation of XML document from the compressed stream by generating the SAX events from them.

Constructor Summary
`CXMLParser()` Creates a new XML Parser object for reading the compressed stream.

Method Summary
`ContentHandler` | `getContentHandler()` Get content handler
`ErrorHandler` | `getErrorHandler()` Get the current error handler
`void` | `parse(java.io.ObjectInput objIn)` Parse the compressed stream and generates the SAX events.
`void` | `parse(java.lang.String inFile)` Parse the compressed stream and generates the SAX events.
`void` | `setContentHandler(ContentHandler handler)` Register a content event handler
`void` | `setErrorHandler(ErrorHandler handler)` Register an error event handler

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CXMLParser

    public CXMLParser()

  Creates a new XML Parser object for reading the compressed stream.

Method Detail

### setContentHandler

    public void setContentHandler(ContentHandler handler)

  Register a content event handler
  Parameters:
    `handler` - The content handler

### getContentHandler

    public ContentHandler getContentHandler()

  Get content handler
  Returns:
    The current content handler or null if none has been registered.

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Register an error event handler
  Parameters:
    `handler` - The error handler

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Get the current error handler
  Returns:
    The current error handler, or null if none has been registered

### parse

    public void parse(java.lang.String inFile)
               throws java.io.IOException,
    SAXException

  Parse the compressed stream and generates the SAX events.
  Parameters:
    `inFile` - The input source which needs to be parsed to regenerate the SAX events.
  Throws:
    `SAXException` - any SAX exception
    `java.io.IOException` - an error due to I/O operations

### parse

    public void parse(java.io.ObjectInput objIn)
               throws java.io.IOException,
    SAXException

  Parse the compressed stream and generates the SAX events.
  Parameters:
    `objIn` - The input source which needs to be parsed to regenerate the SAX events.
  Throws:
    `SAXException` - any SAX exception
    `java.io.IOException` - an error due to I/O operations

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.